<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">
<!-- 
    Mapping file autogenerated by MyEclipse Persistence Tools
-->
<hibernate-mapping>
    <class name="com.yihu.hos.resource.model.RsResourceRestDetail" table="rs_resource_rest_detail" >
        <id name="id" type="java.lang.String">
            <column name="id" length="50" />
            <generator class="uuid" />
        </id>
        <property name="code" type="java.lang.String">
            <column name="code" length="50">
                <comment>代码</comment>
            </column>
        </property>
        <property name="resourceRestId" type="java.lang.String">
            <column name="resource_rest_id" length="50">
                <comment>资源服务表ID</comment>
            </column>
        </property>
        <property name="type" type="java.lang.String">
            <column name="type" length="20">
                <comment>1get 2post</comment>
            </column>
        </property>
        <property name="namespace" type="java.lang.String">
            <column name="namespace" length="200">
                <comment>访问路径</comment>
            </column>
        </property>
        <property name="returnValue" type="java.lang.String">
            <column name="return_value" length="200">
                <comment>返回值</comment>
            </column>
        </property>
        <property name="returnType" type="java.lang.String">
            <column name="return_type" length="10">
                <comment>返回类型 1json 2 xml</comment>
            </column>
        </property>
        <property name="param" type="java.lang.String">
            <column name="param" length="200">
                <comment>传入参数</comment>
            </column>
        </property>
        <property name="paramType" type="java.lang.String">
            <column name="param_type" length="10">
                <comment>传入参数类型 1json 2xml</comment>
            </column>
        </property>
        <property name="signature" type="java.lang.String">
            <column name="signature" length="200">
                <comment>签名</comment>
            </column>
        </property>

        <property name="name" type="java.lang.String">
            <column name="name" length="200">
                <comment>名称</comment>
            </column>
        </property>
    </class>
</hibernate-mapping>
